function [obf]=lae(b);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function defines the objective function to be minimized
% in local quantile regression.

% Jia Yan
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
	global P;
	q = P;
	load tempp3.txt;
	load yuse.txt;
	load weights.txt;
	xb=tempp3*b;
	resid=yuse-xb;
	w=zeros(length(resid),1);
	for j=1:length(resid);
	   	if resid(j)>0
     			w(j) = q;
  		else
      			w(j) = (1 - q);
   		end;
	end;
	tp1=abs(resid);
	tp2=w.*tp1;
	tp3=weights.*tp2;
	obf=sum(tp3);
